#!/usr/bin/env python
# Copyright (c) 2002 Nathan Sharfi
# Copyright terms are included in a file called 'license.txt'.
import os, sys, getopt


if os.path.abspath(sys.argv[0]).find('sonice') != -1:
    sys.path.insert(0, os.path.normpath(os.path.join(
        os.path.abspath(sys.argv[0]),
        os.pardir,
        os.pardir)))

import os, sys, getopt
from comatoys.files import *

def generateAlbumInfo(forDir='flac', dumpDir='info', ext='.flac'):
    """Generate comment files for a directory of files."""
    sys.stdout.write("Generating a list of comment files...")
    files = filterDirectory(lambda f: extensionMatch(f, ext), forDir)
    if not os.path.isdir(dumpDir):
        os.mkdir(dumpDir)
    files = [ os.path.splitext(x)[0]   for x in files ]
    files = [ os.path.basename(x)      for x in files ]
    files = [ x + ".comments.txt"      for x in files ]
    files = [ os.path.join(dumpDir, x) for x in files ]
    
    # find out where to start counting
    initfilename = os.path.split(files[0])[1]
    m = re.compile(r"^track(\d\d)\.comments\.txt$").match(initfilename)
    if m == None:	# not cdparanoia stuff...
        counter = 1
    else: # cdparanoia stuff; start numbering from...
        counter = int(m.groups()[0])
        
    for fn in files:
        f = open(fn, "w")
        f.write("TRACKNUMBER=")
        f.write(str(counter))
        f.write("\n")
        f.close()
        counter += 1
    albumfile = open(os.path.join(dumpDir, "comments.txt"), "w")
    albumfile.write(\
"""ALBUM=
ARTIST=
GENRE=
DATE=
""")

    albumfile.close()
    print "Done!"
    sys.exit()


def main(argv):
    try:
        [opts, rest] = getopt.getopt(argv[1:],
                                     'w', ['wav'])
    except getopt.GetoptError, what:
        print 'bad args: ', what
        sys.exit(1)
    
    forDir = 'flac'
    ext = '.flac'

    for o, a in opts:
        if o in ('-w', '--wav'):
            forDir = 'wav'
            ext = '.wav'
    generateAlbumInfo(forDir=forDir, ext=ext)
    

if __name__ == '__main__':
    main(sys.argv)
