#!/usr/bin/env python
# Copyright (c) 2002 Nathan Sharfi
# Copyright terms are included in a file called 'license.txt'.

import sys, os

if os.path.abspath(sys.argv[0]).find('sonice') != -1:
    sys.path.insert(0, os.path.normpath(os.path.join(
        os.path.abspath(sys.argv[0]),
        os.pardir,
        os.pardir)))

# from libsonice.options import options
from   libsonice.options  import options as o
import libsonice.ogglayer
from   libsonice.wavmaker import *
from   libsonice.adders   import YamlInfoAdder


if __name__ == '__main__':
    o.parseOptions(sys.argv[1:])
    
    wavMaker = None
    if o.doFlac: wavMaker = FlacDecoding()
    else: wavMaker = Preexisting()
    
    oggLayer = libsonice.ogglayer.Serial(wavMaker, YamlInfoAdder(o.infoDir))
    oggLayer.lay()

    
