<?xml version="1.0"?>
<!-- find a way to get a DOCTYPE in the output -->
<xsl:stylesheet version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns="http://www.w3.org/1999/xhtml">
<xsl:output
	method="xml"
	indent='yes'
	doctype-public='-//W3C//DTD xHTML 1.1//EN'
	doctype-system='http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd'
	encoding='UTF-8'/>

<xsl:template match="/">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en">
	<head>
		<!-- this is here because I can't guarantee that the HTTP server
		     (or the client reading the thing on disk) will serve up the
			 content type correctly. So much for the XML doodad at the top...
			 -->
		<meta http-equiv='Content-type' content='text/html; charset=UTF-8'/>
		<xsl:apply-templates select='html/head'/>
	</head>
	<body>
		<div id="main">
			<xsl:call-template name='menu'/>
			<xsl:apply-templates select='//body'/>
			<xsl:call-template name='footer'/>
		</div>
	</body>
</html>
</xsl:template>

<xsl:template match='html/head'>
	<xsl:apply-templates/>
	<link   rel='stylesheet'			type='text/css'
			href='style/default.css'	title='Default'/>

	<link   rel='alternate stylesheet'	type='text/css'
			href='style/red.css'		title='Red'/>
			
	<link   rel='alternate stylesheet'	type='text/css'
			href='style/blue.css'		title='Blue'/>
	<link   rel='start'					type='text/html'
	        href='index.html'/>

	<link rel='first' title="Installation Guide" href='install.html' />
	<link rel='last'  title="Implementer's Reference" href='gutsguide.html'/>

	<link rel='contents' title='Table of Contents' href='index.html'/>

	<link rel='section' title="Installation Guide" href='install.html'/>
	<link rel='section' title="User's Guide" href='userguide.html'/>
	<link rel='section' title="Pragma List" href='pragmas.html'/>
	<link rel='section' title="The Info Files" href='fileformat.html'/>
	<link rel='section' title="Command-line Options" href='opts.html'/>
	<link rel='section' title="YAML Snags" href='yaml.html'/>
	<link rel='section' title="Known Limitations" href='cornercases.html'/>
	<link rel='section' title="Implementer's Reference" href='gutsguide.html'/>
</xsl:template>

<xsl:template name='menu'>
	<div id="menu">
		<xsl:if test='//menuhook'>
			<xsl:apply-templates select='//menuhook'/>
			<hr/>
		</xsl:if>
		<a href="install.html">Installation Guide</a><br/>
		<a href="userguide.html">User's Guide</a><br/>
		<a href="pragmas.html">Pragma List</a><br/>
		<a href="fileformat.html">The info files</a><br/>
		<a href="opts.html">Command-Line Options</a><br/>
		<a href="yaml.html">Common YAML Snags</a><br/>
		<a href="cornercases.html">Known limitations of sonice</a><br/>
		<a href="gutsguide.html">Implementer's Reference</a><br/>
	</div>
</xsl:template>

<xsl:template name='footer'>
	<div class='footer'>
		<hr class='half'/>
		<p>
			<xsl:if test='//footerhook'>
				<xsl:apply-templates select='//footerhook'/>
			</xsl:if>
			<a href='index.html' title='Return to the Table of Contents'
			accesskey='1'>Home Page</a>
			|
			<a href="http://validator.w3.org/check/referer"
			   title="Check the validity of this page's XHTML code here"
				>Theoretically Valid XHTML</a>
		</p>
	</div>
</xsl:template>



<xsl:template match='html/body'><xsl:apply-templates/></xsl:template>
<xsl:template match='fn'>
	<tt><xsl:apply-templates/></tt>
</xsl:template>

<!-- OMFG this is ugly...and remember to update it for xhtml2  -->
<!-- this list was cribbed from ZVON's Mozilla sidebar...
	 blame them if anything's missing. -->
<xsl:template match=' a | abbr | acronym | address | area | b | base | bdo
					| big | blockquote
					| body | br | button | caption | cite | code | col
					| colgroup | dd
					| del
					| dfn | div | dl | dt | em | fieldset | form
					| h1 | h2 | h3 | h4 | h5 | h6 | head | hr | html | i | img
					| input
					| ins | kbd | label | legend | li | link | map | meta
					| noscript
					| object | ol | optgroup | option | p | param | pre | q
					| samp
					| script
					| select | small | span | strong | style | sub | sup
					| table | tbody
					| td | textarea | tfoot | th | thead | title | tr | tt
					| ul | var '>
					
  <xsl:copy>
    <xsl:copy-of select="@*"/>
    <xsl:apply-templates/>
  </xsl:copy>
</xsl:template>

</xsl:stylesheet>
