#!/usr/bin/env python
# Copyright (c) 2002 Nathan Sharfi
# Copyright terms are included in a file called 'license.txt'.
"""
This module contains functions that add metadata contained in files
"""
import os
import options
from toybag import mash

def _getMetadataFile(vi):
    """Returns the name of the .comments.txt file that corresponds to vi."""
    s = os.path.join(options.options.infoDir, os.path.basename(vi.inFile))
    print "THE METADATA FILENAME: ", s
    return s

def _addOne(vi, s):
    "Adds the vorbiscomment-styled text in s to vi."
    for line in s.splitlines():
        k, v = _stripBom(line).split('=', 1)
        if k.lower() == 'overriddenfilename':
            print "I DO NOT CARE ABOUT OLD FORMATS...WAIT UNTIL I DON'T " + \
                  "WANT TO TYPE IN EVERYTHING AGAIN"
            

def _addFromVorbisComment(self, other):
    """Creates a comment structure from a vorbiscomment-style string.
    such as "TITLE=First Cool Hive\nARTIST=Moby\nTRACKNUMBER=1".
    """
    
    for line in s.splitlines():
        _stripBom(line)
        kv = line.split('=', 1)
        self.insertTuple(kv)

def _addFromVorbisCommentFile(self, fn):
    if not filename:
        raise TypeError, 'I want a path to the filename as a string'
    if not os.path.isfile(filename):
        raise ValueError, 'I need a path to a real file'

    infile = file(fn)
    try:
        s = infile.read()
        self.addFromVorbisComment(s)
    finally:
        infile.close()


def _appendRange(xs, ys):
    'adds the elements of ys onto xs.'
    for y in ys:
        xs.append(y)

def add(vil, infoDir):
    """Adds vorbiscomment-styled info in infoDir to vil."""
    
    for vi in vil:
        _addOne(vi, vi.inFile)
