import distutils
from distutils.core import setup

f = file('license.txt')
try:
    lic = f.read()
finally:
    f.close()

longdescr = \
"""
Sonice transcodes audio files from FLAC and WAV into Ogg Vorbis files


"""
def binify(s): return 'bin/%s.py' % (s)
def libsoniceify(s): return 'libsonice/%s.py' % (s)
libsonicethings = map(libsoniceify,
                      ('files flac metadata ogg ogglayer options ' +
                       'prioritymanager toybag vorbisinfo wavmaker yamladder')
                      .split())

setup(name='sonice',
      version='2.0',
      description='FLAC to Ogg Vorbis transcoder',
      author='Nathan Sharfi',
      author_email='comatoast@cyclooctane.com',
      url='http://www.cyclooctane.com/sonice2',
      license=lic,
      scripts=map(binify, 'sonice'.split()),
      packages=['libsonice'])
