#!/usr/bin/env python
# Unit test for sonice
# Copyright (c) 2002 Nathan Sharfi
# Copyright terms are included in a file called 'license.txt'.

import sys, os
import unittest

if os.path.abspath(sys.argv[0]).find('sonice') != -1: # if 'sonice' not in path
    sys.path.insert(0, os.path.normpath(os.path.join(
        os.path.abspath(sys.argv[0]), os.pardir, os.pardir)))

# -- begin test code here -- 

import libsonice.files as files

class ExtensionMatchTester(unittest.TestCase):
    
    knownValues =  ( ('blah.txt', '.txt', True),
                     ('blah.txt', '.py',  False),
                     ('.x',       '.txt', False))
    def testKnownValues(self):
        for fn, ext, result in self.knownValues:
            self.assertEqual(files.extensionMatch(fn, ext), result)

class SwapExtensionTester(unittest.TestCase):
    knownValues = (('uno.wav', 'uno.flac', 'flac'),
                   ('dos.wav', 'dos.ogg',  'ogg'),
                   ('tres',    'tres.html','html'))

                   
    def testStuff(self):
        for old, new, ext in self.knownValues:
            self.assertEqual(files.swapExtension(old, ext), new)
        


if __name__ == '__main__':
    unittest.main()
