#!/usr/bin/env python
# Unit test for sonice
# Copyright (c) 2002 Nathan Sharfi
# Copyright terms are included in a file called 'license.txt'.

import sys, os
import unittest

if os.path.abspath(sys.argv[0]).find('sonice') != -1: # if 'sonice' not in path
    sys.path.insert(0, os.path.normpath(os.path.join(
        os.path.abspath(sys.argv[0]), os.pardir, os.pardir)))

# -- begin test code here -- 

import unittest
import libsonice.toybag as toybag

class EnumerateTester(unittest.TestCase):
    def testSimpleIndexing(self):
        things = 'foo bar baz quux'.split()
        self.assertEqual(list(toybag.enumerate(things)),
                         [('foo', 0),
                          ('bar', 1),
                          ('baz', 2),
                          ('quux',3)])

    def testOffsetIndexing(self):
        things = 'foo bar baz quux'.split()
        self.assertEqual(list(toybag.enumerate(things, 2)),
                         [('foo', 2),
                          ('bar', 3),
                          ('baz', 4),
                          ('quux',5)])

if __name__ == '__main__':
    unittest.main()
